#
# spec file for package openmovieeditor
#
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           openmovieeditor
Version:        0.0.20090105
Release:        3.2
License:        GPL-2.0
Summary:        Simple non-linear video editor
Url:            http://www.openmovieeditor.org/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        http://voxel.dl.sourceforge.net/project/openmovieeditor/openmovieeditor/0.0.20090105/openmovieeditor-0.0.20090105.tar.gz
# PATCH-FIX-OPENSUSE openmovieeditor-fix-gcc45-errors.patch malcolmlewis@opensuse.org -- Add missing includes for later gcc version.
Patch0:         openmovieeditor-fix-gcc45-errors.patch
# PATCH-FIX-OPENSUSE openmovieeditor-non-fatal-libquicktime.patch malcolmlewis@opensuse.org -- Don't fail if libquicktime lacks lame and x264.
Patch1:         openmovieeditor-non-fatal-libquicktime.patch
Patch2:         openmovieeditor-fpermissive.patch
Patch3:         openmovieeditor-fltk-fix.patch
Patch4:         openmovieeditor-fix-gcc47-includes.patch
Patch5:         openmovieeditor-add-missing-libs.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libgavl-devel
BuildRequires:  libgmerlin-avdecoder-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libquicktime-devel
BuildRequires:  pkgconfig
BuildRequires:  portaudio-devel
BuildRequires:  update-desktop-files
# something is putting bogus ldflags into the linker command line,
# so install these packages to let the build succeed
%if 0%{?suse_version} < 1230
BuildRequires:  libXft-devel
BuildRequires:  libXinerama-devel
BuildRequires:  fontconfig-devel
%endif
Requires:       jack
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Open Movie Editor is a free and open source video editing program,
designed for basic movie making capabilities. It aims to be powerful
enough for the amateur movie artist, yet easy to use. 

%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%if 0%{?suse_version} > 1200
# fltk seems to have changed an interface from short* to int* in the 12.1 version
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file %{name} AudioVideo AudioVideoEditing

%clean
%{?buildroot:%__rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/openmovieeditor.desktop
%{_datadir}/pixmaps/openmovieeditor.xpm

%changelog
* Fri Mar 28 2014 seife+obs@b1-systems.com
- fix build on 12.3+ by adding libX11 to linker commandline
- fix build on <12.3 by adding a few fake buildrequires
* Sat May 19 2012 seife+obs@b1-systems.com
- add a missing include to fix build with gcc 4.7
- add "BuildRequires: autoconf automake libtool" to fix >12.1 build
* Thu May 17 2012 seife+obs@b1-systems.com
- fix build on 12.1+ by adding -fpermissive for newer c++ compiler
  and changing short* to int* for changed(?) fltk interface
* Thu Sep 22 2011 malcolmlewis@opensuse.org
- Initial build
- Add openmovieeditor-fix-gcc45-errors.patch which adds the
  missing includes for later gcc versions.
- Add openmovieeditor-non-fatal-libquicktime.patch so we don't
  fail if libquicktime lacks lame and x264.
